<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.unis.base.server.dao.TyTfzyxxHisDao" >
  <resultMap id="BaseResultMap" type="com.unis.base.server.entity.TyTfzyxxHisDO" >
    <id column="ID" property="id" jdbcType="VARCHAR" />
    <result column="TFZYID" property="tfzyid" jdbcType="VARCHAR" />
    <result column="FABH" property="fabh" jdbcType="VARCHAR" />
    <result column="FAMC" property="famc" jdbcType="VARCHAR" />
    <result column="PZBM" property="pzbm" jdbcType="VARCHAR" />
    <result column="PZMC" property="pzmc" jdbcType="VARCHAR" />
    <result column="LSDJBM" property="lsdjbm" jdbcType="VARCHAR" />
    <result column="LSDJMC" property="lsdjmc" jdbcType="VARCHAR" />
    <result column="LSXZBM" property="lsxzbm" jdbcType="VARCHAR" />
    <result column="LSXZMC" property="lsxzmc" jdbcType="VARCHAR" />
    <result column="CFBH" property="cfbh" jdbcType="VARCHAR" />
    <result column="CFMC" property="cfmc" jdbcType="VARCHAR" />
    <result column="SSKDDM" property="sskddm" jdbcType="VARCHAR" />
    <result column="SSKDMC" property="sskdmc" jdbcType="VARCHAR" />
    <result column="SSQYDM" property="ssqydm" jdbcType="VARCHAR" />
    <result column="SSYQMC" property="ssyqmc" jdbcType="VARCHAR" />
    <result column="BGYBM" property="bgybm" jdbcType="VARCHAR" />
    <result column="BGYMC" property="bgymc" jdbcType="VARCHAR" />
    <result column="TFFS" property="tffs" jdbcType="VARCHAR" />
    <result column="TFCJR" property="tfcjr" jdbcType="VARCHAR" />
    <result column="ZYZT" property="zyzt" jdbcType="VARCHAR" />
    <result column="ZYJSSJ" property="zyjssj" jdbcType="DATE" />
    <result column="CFLX" property="cflx" jdbcType="VARCHAR" />
    <result column="CFCC" property="cfcc" jdbcType="VARCHAR" />
    <result column="CFSL" property="cfsl" jdbcType="VARCHAR" />
    <result column="CDDW" property="cddw" jdbcType="VARCHAR" />
    <result column="BGDW" property="bgdw" jdbcType="VARCHAR" />
    <result column="SJZLGD" property="sjzlgd" jdbcType="VARCHAR" />
    <result column="CFBGY" property="cfbgy" jdbcType="VARCHAR" />
    <result column="FJLXJXH" property="fjlxjxh" jdbcType="VARCHAR" />
    <result column="QLFX" property="qlfx" jdbcType="VARCHAR" />
    <result column="FWZZL" property="fwzzl" jdbcType="VARCHAR" />
    <result column="CFZFL" property="cfzfl" jdbcType="VARCHAR" />
    <result column="CFFJGL" property="cffjgl" jdbcType="VARCHAR" />
    <result column="DWTFL" property="dwtfl" jdbcType="VARCHAR" />
    <result column="DCORDSL" property="dcordsl" jdbcType="VARCHAR" />
    <result column="DCORDSLCC" property="dcordslcc" jdbcType="VARCHAR" />
    <result column="KQTJB" property="kqtjb" jdbcType="VARCHAR" />
    <result column="KBKKL" property="kbkkl" jdbcType="VARCHAR" />
    <result column="KSTFSJ" property="kstfsj" jdbcType="DATE" />
    <result column="JSTFSJ" property="jstfsj" jdbcType="DATE" />
    <result column="TFTJSJ" property="tftjsj" jdbcType="VARCHAR" />
    <result column="LJTFSJ" property="ljtfsj" jdbcType="VARCHAR" />
    <result column="TFSQWZGZ" property="tfsqwzgz" jdbcType="DECIMAL" />
    <result column="TFSQWZDZ" property="tfsqwzdz" jdbcType="DECIMAL" />
    <result column="TFSQWPJZ" property="tfsqwpjz" jdbcType="DECIMAL" />
    <result column="TFSQSZGZ" property="tfsqszgz" jdbcType="DECIMAL" />
    <result column="TFSQSZDZ" property="tfsqszdz" jdbcType="DECIMAL" />
    <result column="TFSQSPJZ" property="tfsqspjz" jdbcType="DECIMAL" />
    <result column="TFQZDGW" property="tfqzdgw" jdbcType="DECIMAL" />
    <result column="TFQZDLW" property="tfqzdlw" jdbcType="DECIMAL" />
    <result column="TFQPJLW" property="tfqpjlw" jdbcType="DECIMAL" />
    <result column="TFQLWZDTD" property="tfqlwzdtd" jdbcType="DECIMAL" />
    <result column="TFHLWZGZ" property="tfhlwzgz" jdbcType="DECIMAL" />
    <result column="TFHLSWDZDZ" property="tfhlswdzdz" jdbcType="DECIMAL" />
    <result column="TFHLSWDPJZ" property="tfhlswdpjz" jdbcType="DECIMAL" />
    <result column="TFHLWZDTD" property="tfhlwzdtd" jdbcType="DECIMAL" />
    <result column="TFQLSSFZGZ" property="tfqlssfzgz" jdbcType="DECIMAL" />
    <result column="TFQLSSFZDZ" property="tfqlssfzdz" jdbcType="DECIMAL" />
    <result column="TFQLSSFPJZ" property="tfqlssfpjz" jdbcType="DECIMAL" />
    <result column="TFQSFZDTD" property="tfqsfzdtd" jdbcType="DECIMAL" />
    <result column="TFHLSSFZGZ" property="tfhlssfzgz" jdbcType="DECIMAL" />
    <result column="TFHLSSFZDZ" property="tfhlssfzdz" jdbcType="DECIMAL" />
    <result column="TFHLSSFPJZ" property="tfhlssfpjz" jdbcType="DECIMAL" />
    <result column="TFHLSSFZDTD" property="tfhlssfzdtd" jdbcType="DECIMAL" />
    <result column="ZHD" property="zhd" jdbcType="DECIMAL" />
    <result column="DWNH" property="dwnh" jdbcType="DECIMAL" />
    <result column="CZR" property="czr" jdbcType="VARCHAR" />
    <result column="FZR" property="fzr" jdbcType="VARCHAR" />
    <result column="XGFX" property="xgfx" jdbcType="VARCHAR" />
    <result column="XZQB" property="xzqb" jdbcType="VARCHAR" />
    <result column="STATUS" property="status" jdbcType="DECIMAL" />
    <result column="CREATOR" property="creator" jdbcType="VARCHAR" />
    <result column="CREATOR_CODE" property="creatorCode" jdbcType="VARCHAR" />
    <result column="CREATE_DATE" property="createDate" jdbcType="TIMESTAMP" />
    <result column="REFRESHER" property="refresher" jdbcType="VARCHAR" />
    <result column="REFRESHER_CODE" property="refresherCode" jdbcType="VARCHAR" />
    <result column="REFRESH_TIME" property="refreshTime" jdbcType="TIMESTAMP" />
    <result column="REMARK" property="remark" jdbcType="VARCHAR" />
    <result column="SFBA" property="sfba" jdbcType="DECIMAL" />
    <result column="SPYJ" property="spyj" jdbcType="VARCHAR" />
    <result column="SHRYBH" property="shrybh" jdbcType="VARCHAR" />
    <result column="SHRYMC" property="shrymc" jdbcType="VARCHAR" />
    <result column="SHBMBH" property="shbmbh" jdbcType="VARCHAR" />
    <result column="SHBMMC" property="shbmmc" jdbcType="VARCHAR" />
  </resultMap>
  
  <sql id="Base_Column_List" >
   DISTINCT ID, TFZYID, FABH, FAMC, PZBM, PZMC, LSDJBM, LSDJMC, LSXZBM, LSXZMC, CFBH, CFMC, SSKDDM, 
    SSKDMC, SSQYDM, SSYQMC, BGYBM, BGYMC, TFFS, TFCJR, ZYZT, ZYJSSJ, CFLX, CFCC, CFSL, 
    CDDW, BGDW, SJZLGD, CFBGY, FJLXJXH, QLFX, FWZZL, CFZFL, CFFJGL, DWTFL, DCORDSL, DCORDSLCC, 
    KQTJB, KBKKL, KSTFSJ, JSTFSJ, TFTJSJ, LJTFSJ, TFSQWZGZ, TFSQWZDZ, TFSQWPJZ, TFSQSZGZ, 
    TFSQSZDZ, TFSQSPJZ, TFQZDGW, TFQZDLW, TFQPJLW, TFQLWZDTD, TFHLWZGZ, TFHLSWDZDZ, TFHLSWDPJZ, 
    TFHLWZDTD, TFQLSSFZGZ, TFQLSSFZDZ, TFQLSSFPJZ, TFQSFZDTD, TFHLSSFZGZ, TFHLSSFZDZ, 
    TFHLSSFPJZ, TFHLSSFZDTD, ZHD, DWNH, CZR, FZR, XGFX, XZQB, STATUS, CREATOR, CREATOR_CODE, 
    CREATE_DATE, REFRESHER, REFRESHER_CODE, REFRESH_TIME, REMARK, SFBA, SPYJ, SHRYBH,SHRYMC,SHBMBH,SHBMMC
  </sql>
  
  <select id="findPageList" resultMap="BaseResultMap" parameterType="com.unis.base.common.vo.TyTfzyxxHisQueryVO" >
    select
    <include refid="Base_Column_List" />
    from TY_TFZYXX_HIS
    <where>
		   STATUS=1  
		<if test="fabh != null and fabh != ''">
		   AND FABH = #{fabh,jdbcType=VARCHAR}
		</if>
	</where>
		  ORDER BY CREATE_DATE DESC
  </select>
  	<!-- 任务编号生成策略 -->
	 <select id="getMaxCodeById"  resultType="java.lang.String" parameterType="java.lang.String">
	        SELECT  MAX(ID) FROM  TY_TFZYXX_HIS where ID  LIKE CONCAT(#{pstr,jdbcType=VARCHAR}, '%')
	  </select>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from TY_TFZYXX_HIS
    where ID = #{id,jdbcType=VARCHAR}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.String" >
    delete from TY_TFZYXX_HIS
    where ID = #{id,jdbcType=VARCHAR}
  </delete>
  <insert id="insert" parameterType="com.unis.base.server.entity.TyTfzyxxHisDO" >
    insert into TY_TFZYXX_HIS (ID, TFZYID, FABH, 
      FAMC, PZBM, PZMC, LSDJBM, 
      LSDJMC, LSXZBM, LSXZMC, 
      CFBH, CFMC, SSKDDM, 
      SSKDMC, SSQYDM, SSYQMC, 
      BGYBM, BGYMC, TFFS, 
      TFCJR, ZYZT, ZYJSSJ, CFLX, 
      CFCC, CFSL, CDDW, BGDW, 
      SJZLGD, CFBGY, FJLXJXH, 
      QLFX, FWZZL, CFZFL, 
      CFFJGL, DWTFL, DCORDSL, 
      DCORDSLCC, KQTJB, KBKKL, 
      KSTFSJ, JSTFSJ, TFTJSJ, LJTFSJ, 
      TFSQWZGZ, TFSQWZDZ, TFSQWPJZ, 
      TFSQSZGZ, TFSQSZDZ, TFSQSPJZ, 
      TFQZDGW, TFQZDLW, TFQPJLW, 
      TFQLWZDTD, TFHLWZGZ, TFHLSWDZDZ, 
      TFHLSWDPJZ, TFHLWZDTD, TFQLSSFZGZ, 
      TFQLSSFZDZ, TFQLSSFPJZ, TFQSFZDTD, 
      TFHLSSFZGZ, TFHLSSFZDZ, TFHLSSFPJZ, 
      TFHLSSFZDTD, ZHD, DWNH, 
      CZR, FZR, XGFX, XZQB, 
      STATUS, CREATOR, CREATOR_CODE, 
      CREATE_DATE, REFRESHER, REFRESHER_CODE, 
      REFRESH_TIME, REMARK, SFBA, 
      SPYJ,SHRYBH,SHRYMC,SHBMBH,SHBMMC)
    values (#{id,jdbcType=DECIMAL}, #{tfzyid,jdbcType=VARCHAR}, #{fabh,jdbcType=VARCHAR}, 
      #{famc,jdbcType=VARCHAR}, #{pzbm,jdbcType=VARCHAR}, #{pzmc,jdbcType=VARCHAR}, #{lsdjbm,jdbcType=VARCHAR}, 
      #{lsdjmc,jdbcType=VARCHAR}, #{lsxzbm,jdbcType=VARCHAR}, #{lsxzmc,jdbcType=VARCHAR}, 
      #{cfbh,jdbcType=VARCHAR}, #{cfmc,jdbcType=VARCHAR}, #{sskddm,jdbcType=VARCHAR}, 
      #{sskdmc,jdbcType=VARCHAR}, #{ssqydm,jdbcType=VARCHAR}, #{ssyqmc,jdbcType=VARCHAR}, 
      #{bgybm,jdbcType=VARCHAR}, #{bgymc,jdbcType=VARCHAR}, #{tffs,jdbcType=VARCHAR}, 
      #{tfcjr,jdbcType=VARCHAR}, #{zyzt,jdbcType=VARCHAR}, #{zyjssj,jdbcType=DATE}, #{cflx,jdbcType=VARCHAR}, 
      #{cfcc,jdbcType=VARCHAR}, #{cfsl,jdbcType=VARCHAR}, #{cddw,jdbcType=VARCHAR}, #{bgdw,jdbcType=VARCHAR}, 
      #{sjzlgd,jdbcType=VARCHAR}, #{cfbgy,jdbcType=VARCHAR}, #{fjlxjxh,jdbcType=VARCHAR}, 
      #{qlfx,jdbcType=VARCHAR}, #{fwzzl,jdbcType=VARCHAR}, #{cfzfl,jdbcType=VARCHAR}, 
      #{cffjgl,jdbcType=VARCHAR}, #{dwtfl,jdbcType=VARCHAR}, #{dcordsl,jdbcType=VARCHAR}, 
      #{dcordslcc,jdbcType=VARCHAR}, #{kqtjb,jdbcType=VARCHAR}, #{kbkkl,jdbcType=VARCHAR}, 
      #{kstfsj,jdbcType=DATE}, #{jstfsj,jdbcType=DATE}, #{tftjsj,jdbcType=VARCHAR}, #{ljtfsj,jdbcType=VARCHAR}, 
      #{tfsqwzgz,jdbcType=DECIMAL}, #{tfsqwzdz,jdbcType=DECIMAL}, #{tfsqwpjz,jdbcType=DECIMAL}, 
      #{tfsqszgz,jdbcType=DECIMAL}, #{tfsqszdz,jdbcType=DECIMAL}, #{tfsqspjz,jdbcType=DECIMAL}, 
      #{tfqzdgw,jdbcType=DECIMAL}, #{tfqzdlw,jdbcType=DECIMAL}, #{tfqpjlw,jdbcType=DECIMAL}, 
      #{tfqlwzdtd,jdbcType=DECIMAL}, #{tfhlwzgz,jdbcType=DECIMAL}, #{tfhlswdzdz,jdbcType=DECIMAL}, 
      #{tfhlswdpjz,jdbcType=DECIMAL}, #{tfhlwzdtd,jdbcType=DECIMAL}, #{tfqlssfzgz,jdbcType=DECIMAL}, 
      #{tfqlssfzdz,jdbcType=DECIMAL}, #{tfqlssfpjz,jdbcType=DECIMAL}, #{tfqsfzdtd,jdbcType=DECIMAL}, 
      #{tfhlssfzgz,jdbcType=DECIMAL}, #{tfhlssfzdz,jdbcType=DECIMAL}, #{tfhlssfpjz,jdbcType=DECIMAL}, 
      #{tfhlssfzdtd,jdbcType=DECIMAL}, #{zhd,jdbcType=DECIMAL}, #{dwnh,jdbcType=DECIMAL}, 
      #{czr,jdbcType=VARCHAR}, #{fzr,jdbcType=VARCHAR}, #{xgfx,jdbcType=VARCHAR}, #{xzqb,jdbcType=VARCHAR}, 
      #{status,jdbcType=DECIMAL}, #{creator,jdbcType=VARCHAR}, #{creatorCode,jdbcType=VARCHAR}, 
      #{createDate,jdbcType=TIMESTAMP}, #{refresher,jdbcType=VARCHAR}, #{refresherCode,jdbcType=VARCHAR}, 
      #{refreshTime,jdbcType=TIMESTAMP}, #{remark,jdbcType=VARCHAR}, #{sfba,jdbcType=INTEGER}, 
      #{spyj,jdbcType=VARCHAR}, #{shrybh,jdbcType=VARCHAR}, 
      #{shrymc,jdbcType=VARCHAR}, #{shbmbh,jdbcType=VARCHAR}, #{shbmmc,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.unis.base.server.entity.TyTfzyxxHisDO" >
    insert into TY_TFZYXX_HIS
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="id != null" >
        ID,
      </if>
      <if test="tfzyid != null" >
        TFZYID,
      </if>
      <if test="fabh != null" >
        FABH,
      </if>
      <if test="famc != null" >
        FAMC,
      </if>
      <if test="pzbm != null" >
        PZBM,
      </if>
      <if test="pzmc != null" >
        PZMC,
      </if>
      <if test="lsdjbm != null" >
        LSDJBM,
      </if>
      <if test="lsdjmc != null" >
        LSDJMC,
      </if>
      <if test="lsxzbm != null" >
        LSXZBM,
      </if>
      <if test="lsxzmc != null" >
        LSXZMC,
      </if>
      <if test="cfbh != null" >
        CFBH,
      </if>
      <if test="cfmc != null" >
        CFMC,
      </if>
      <if test="sskddm != null" >
        SSKDDM,
      </if>
      <if test="sskdmc != null" >
        SSKDMC,
      </if>
      <if test="ssqydm != null" >
        SSQYDM,
      </if>
      <if test="ssyqmc != null" >
        SSYQMC,
      </if>
      <if test="bgybm != null" >
        BGYBM,
      </if>
      <if test="bgymc != null" >
        BGYMC,
      </if>
      <if test="tffs != null" >
        TFFS,
      </if>
      <if test="tfcjr != null" >
        TFCJR,
      </if>
      <if test="zyzt != null" >
        ZYZT,
      </if>
      <if test="zyjssj != null" >
        ZYJSSJ,
      </if>
      <if test="cflx != null" >
        CFLX,
      </if>
      <if test="cfcc != null" >
        CFCC,
      </if>
      <if test="cfsl != null" >
        CFSL,
      </if>
      <if test="cddw != null" >
        CDDW,
      </if>
      <if test="bgdw != null" >
        BGDW,
      </if>
      <if test="sjzlgd != null" >
        SJZLGD,
      </if>
      <if test="cfbgy != null" >
        CFBGY,
      </if>
      <if test="fjlxjxh != null" >
        FJLXJXH,
      </if>
      <if test="qlfx != null" >
        QLFX,
      </if>
      <if test="fwzzl != null" >
        FWZZL,
      </if>
      <if test="cfzfl != null" >
        CFZFL,
      </if>
      <if test="cffjgl != null" >
        CFFJGL,
      </if>
      <if test="dwtfl != null" >
        DWTFL,
      </if>
      <if test="dcordsl != null" >
        DCORDSL,
      </if>
      <if test="dcordslcc != null" >
        DCORDSLCC,
      </if>
      <if test="kqtjb != null" >
        KQTJB,
      </if>
      <if test="kbkkl != null" >
        KBKKL,
      </if>
      <if test="kstfsj != null" >
        KSTFSJ,
      </if>
      <if test="jstfsj != null" >
        JSTFSJ,
      </if>
      <if test="tftjsj != null" >
        TFTJSJ,
      </if>
      <if test="ljtfsj != null" >
        LJTFSJ,
      </if>
      <if test="tfsqwzgz != null" >
        TFSQWZGZ,
      </if>
      <if test="tfsqwzdz != null" >
        TFSQWZDZ,
      </if>
      <if test="tfsqwpjz != null" >
        TFSQWPJZ,
      </if>
      <if test="tfsqszgz != null" >
        TFSQSZGZ,
      </if>
      <if test="tfsqszdz != null" >
        TFSQSZDZ,
      </if>
      <if test="tfsqspjz != null" >
        TFSQSPJZ,
      </if>
      <if test="tfqzdgw != null" >
        TFQZDGW,
      </if>
      <if test="tfqzdlw != null" >
        TFQZDLW,
      </if>
      <if test="tfqpjlw != null" >
        TFQPJLW,
      </if>
      <if test="tfqlwzdtd != null" >
        TFQLWZDTD,
      </if>
      <if test="tfhlwzgz != null" >
        TFHLWZGZ,
      </if>
      <if test="tfhlswdzdz != null" >
        TFHLSWDZDZ,
      </if>
      <if test="tfhlswdpjz != null" >
        TFHLSWDPJZ,
      </if>
      <if test="tfhlwzdtd != null" >
        TFHLWZDTD,
      </if>
      <if test="tfqlssfzgz != null" >
        TFQLSSFZGZ,
      </if>
      <if test="tfqlssfzdz != null" >
        TFQLSSFZDZ,
      </if>
      <if test="tfqlssfpjz != null" >
        TFQLSSFPJZ,
      </if>
      <if test="tfqsfzdtd != null" >
        TFQSFZDTD,
      </if>
      <if test="tfhlssfzgz != null" >
        TFHLSSFZGZ,
      </if>
      <if test="tfhlssfzdz != null" >
        TFHLSSFZDZ,
      </if>
      <if test="tfhlssfpjz != null" >
        TFHLSSFPJZ,
      </if>
      <if test="tfhlssfzdtd != null" >
        TFHLSSFZDTD,
      </if>
      <if test="zhd != null" >
        ZHD,
      </if>
      <if test="dwnh != null" >
        DWNH,
      </if>
      <if test="czr != null" >
        CZR,
      </if>
      <if test="fzr != null" >
        FZR,
      </if>
      <if test="xgfx != null" >
        XGFX,
      </if>
      <if test="xzqb != null" >
        XZQB,
      </if>
      <if test="status != null" >
        STATUS,
      </if>
      <if test="creator != null" >
        CREATOR,
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE,
      </if>
      <if test="createDate != null" >
        CREATE_DATE,
      </if>
      <if test="refresher != null" >
        REFRESHER,
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE,
      </if>
      <if test="refreshTime != null" >
        REFRESH_TIME,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
      <if test="sfba != null" >
        SFBA,
      </if>
      <if test="spyj != null" >
        SPYJ,
      </if>
          <if test="shrybh != null" >
        SHRYBH,
      </if>
      <if test="shbmbh != null" >
        SHBMBH,
      </if>
      <if test="shbmmc != null" >
        SHBMMC,
      </if>
      <if test="shrymc != null" >
        SHRYMC,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="id != null" >
        #{id,jdbcType=DECIMAL},
      </if>
      <if test="tfzyid != null" >
        #{tfzyid,jdbcType=VARCHAR},
      </if>
      <if test="fabh != null" >
        #{fabh,jdbcType=VARCHAR},
      </if>
      <if test="famc != null" >
        #{famc,jdbcType=VARCHAR},
      </if>
      <if test="pzbm != null" >
        #{pzbm,jdbcType=VARCHAR},
      </if>
      <if test="pzmc != null" >
        #{pzmc,jdbcType=VARCHAR},
      </if>
      <if test="lsdjbm != null" >
        #{lsdjbm,jdbcType=VARCHAR},
      </if>
      <if test="lsdjmc != null" >
        #{lsdjmc,jdbcType=VARCHAR},
      </if>
      <if test="lsxzbm != null" >
        #{lsxzbm,jdbcType=VARCHAR},
      </if>
      <if test="lsxzmc != null" >
        #{lsxzmc,jdbcType=VARCHAR},
      </if>
      <if test="cfbh != null" >
        #{cfbh,jdbcType=VARCHAR},
      </if>
      <if test="cfmc != null" >
        #{cfmc,jdbcType=VARCHAR},
      </if>
      <if test="sskddm != null" >
        #{sskddm,jdbcType=VARCHAR},
      </if>
      <if test="sskdmc != null" >
        #{sskdmc,jdbcType=VARCHAR},
      </if>
      <if test="ssqydm != null" >
        #{ssqydm,jdbcType=VARCHAR},
      </if>
      <if test="ssyqmc != null" >
        #{ssyqmc,jdbcType=VARCHAR},
      </if>
      <if test="bgybm != null" >
        #{bgybm,jdbcType=VARCHAR},
      </if>
      <if test="bgymc != null" >
        #{bgymc,jdbcType=VARCHAR},
      </if>
      <if test="tffs != null" >
        #{tffs,jdbcType=VARCHAR},
      </if>
      <if test="tfcjr != null" >
        #{tfcjr,jdbcType=VARCHAR},
      </if>
      <if test="zyzt != null" >
        #{zyzt,jdbcType=VARCHAR},
      </if>
      <if test="zyjssj != null" >
        #{zyjssj,jdbcType=DATE},
      </if>
      <if test="cflx != null" >
        #{cflx,jdbcType=VARCHAR},
      </if>
      <if test="cfcc != null" >
        #{cfcc,jdbcType=VARCHAR},
      </if>
      <if test="cfsl != null" >
        #{cfsl,jdbcType=VARCHAR},
      </if>
      <if test="cddw != null" >
        #{cddw,jdbcType=VARCHAR},
      </if>
      <if test="bgdw != null" >
        #{bgdw,jdbcType=VARCHAR},
      </if>
      <if test="sjzlgd != null" >
        #{sjzlgd,jdbcType=VARCHAR},
      </if>
      <if test="cfbgy != null" >
        #{cfbgy,jdbcType=VARCHAR},
      </if>
      <if test="fjlxjxh != null" >
        #{fjlxjxh,jdbcType=VARCHAR},
      </if>
      <if test="qlfx != null" >
        #{qlfx,jdbcType=VARCHAR},
      </if>
      <if test="fwzzl != null" >
        #{fwzzl,jdbcType=VARCHAR},
      </if>
      <if test="cfzfl != null" >
        #{cfzfl,jdbcType=VARCHAR},
      </if>
      <if test="cffjgl != null" >
        #{cffjgl,jdbcType=VARCHAR},
      </if>
      <if test="dwtfl != null" >
        #{dwtfl,jdbcType=VARCHAR},
      </if>
      <if test="dcordsl != null" >
        #{dcordsl,jdbcType=VARCHAR},
      </if>
      <if test="dcordslcc != null" >
        #{dcordslcc,jdbcType=VARCHAR},
      </if>
      <if test="kqtjb != null" >
        #{kqtjb,jdbcType=VARCHAR},
      </if>
      <if test="kbkkl != null" >
        #{kbkkl,jdbcType=VARCHAR},
      </if>
      <if test="kstfsj != null" >
        #{kstfsj,jdbcType=DATE},
      </if>
      <if test="jstfsj != null" >
        #{jstfsj,jdbcType=DATE},
      </if>
      <if test="tftjsj != null" >
        #{tftjsj,jdbcType=VARCHAR},
      </if>
      <if test="ljtfsj != null" >
        #{ljtfsj,jdbcType=VARCHAR},
      </if>
      <if test="tfsqwzgz != null" >
        #{tfsqwzgz,jdbcType=DECIMAL},
      </if>
      <if test="tfsqwzdz != null" >
        #{tfsqwzdz,jdbcType=DECIMAL},
      </if>
      <if test="tfsqwpjz != null" >
        #{tfsqwpjz,jdbcType=DECIMAL},
      </if>
      <if test="tfsqszgz != null" >
        #{tfsqszgz,jdbcType=DECIMAL},
      </if>
      <if test="tfsqszdz != null" >
        #{tfsqszdz,jdbcType=DECIMAL},
      </if>
      <if test="tfsqspjz != null" >
        #{tfsqspjz,jdbcType=DECIMAL},
      </if>
      <if test="tfqzdgw != null" >
        #{tfqzdgw,jdbcType=DECIMAL},
      </if>
      <if test="tfqzdlw != null" >
        #{tfqzdlw,jdbcType=DECIMAL},
      </if>
      <if test="tfqpjlw != null" >
        #{tfqpjlw,jdbcType=DECIMAL},
      </if>
      <if test="tfqlwzdtd != null" >
        #{tfqlwzdtd,jdbcType=DECIMAL},
      </if>
      <if test="tfhlwzgz != null" >
        #{tfhlwzgz,jdbcType=DECIMAL},
      </if>
      <if test="tfhlswdzdz != null" >
        #{tfhlswdzdz,jdbcType=DECIMAL},
      </if>
      <if test="tfhlswdpjz != null" >
        #{tfhlswdpjz,jdbcType=DECIMAL},
      </if>
      <if test="tfhlwzdtd != null" >
        #{tfhlwzdtd,jdbcType=DECIMAL},
      </if>
      <if test="tfqlssfzgz != null" >
        #{tfqlssfzgz,jdbcType=DECIMAL},
      </if>
      <if test="tfqlssfzdz != null" >
        #{tfqlssfzdz,jdbcType=DECIMAL},
      </if>
      <if test="tfqlssfpjz != null" >
        #{tfqlssfpjz,jdbcType=DECIMAL},
      </if>
      <if test="tfqsfzdtd != null" >
        #{tfqsfzdtd,jdbcType=DECIMAL},
      </if>
      <if test="tfhlssfzgz != null" >
        #{tfhlssfzgz,jdbcType=DECIMAL},
      </if>
      <if test="tfhlssfzdz != null" >
        #{tfhlssfzdz,jdbcType=DECIMAL},
      </if>
      <if test="tfhlssfpjz != null" >
        #{tfhlssfpjz,jdbcType=DECIMAL},
      </if>
      <if test="tfhlssfzdtd != null" >
        #{tfhlssfzdtd,jdbcType=DECIMAL},
      </if>
      <if test="zhd != null" >
        #{zhd,jdbcType=DECIMAL},
      </if>
      <if test="dwnh != null" >
        #{dwnh,jdbcType=DECIMAL},
      </if>
      <if test="czr != null" >
        #{czr,jdbcType=VARCHAR},
      </if>
      <if test="fzr != null" >
        #{fzr,jdbcType=VARCHAR},
      </if>
      <if test="xgfx != null" >
        #{xgfx,jdbcType=VARCHAR},
      </if>
      <if test="xzqb != null" >
        #{xzqb,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="refresher != null" >
        #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
        #{refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
      <if test="sfba != null" >
        #{sfba,jdbcType=INTEGER},
      </if>
      <if test="spyj != null" >
        #{spyj,jdbcType=VARCHAR},
      </if>
         <if test="shrybh != null" >
        #{shrybh,jdbcType=VARCHAR},
      </if>
      <if test="shbmbh != null" >
        #{shbmbh,jdbcType=VARCHAR},
      </if>
      <if test="shbmmc != null" >
        #{shbmmc,jdbcType=VARCHAR},
      </if>
      <if test="shrymc != null" >
        #{shrymc,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
</mapper>